Index: /LMDZ4/trunk/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 766)
@@ -1652,103 +1630,104 @@
      .                "Convective Cloud Liquid water content"
      .                , "kg/kg",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"Ma","undilute adiab updraft","kg/m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dnwd", "saturated downdraft","kg/m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dnwd0", "unsat. downdraft", "kg/m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqdyn","Dynamics dQ","(kg/kg)/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqcon","Convection dQ","(kg/kg)/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtlschr",
-     $       "Large-scale condensational heating rate", "K/s",iim,jjmp1
+     $       "Large-scale condensational heating rate", "K/s",
+     $       iim,jjphy_nb
      $       ,nhori, klev,1,klev,nvert, 32,"ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqlsc","Condensation dQ","(kg/kg)/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqvdf","Boundary-layer dQ","(kg/kg)/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dteva", "Reevaporation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"dqeva","Reevaporation dQ","(kg/kg)/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_mth, "ptconv", "POINTS CONVECTIFS"," ",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_mth, "ratqs", "RATQS"," ",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 
 c
          CALL histdef(nid_mth, "dqajs","Dry adjust. dQ","(kg/kg)/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtsw0", "CS SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"dtlw0","CS LW radiation dT","K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtec", "Cinetic dissip dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvvdf", "Boundary-layer dV", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          IF (ok_orodr) THEN
          CALL histdef(nid_mth, "duoro", "Orography dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvoro", "Orography dV", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -1757,9 +1736,9 @@
          IF (ok_orolf) THEN
          CALL histdef(nid_mth, "dulif", "Orography dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvlif", "Orography dV", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
          ENDIF
@@ -1769,5 +1748,5 @@
          iiq=niadv(iq)
          CALL histdef(nid_mth, tnom(iq), ttext(iiq), "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
          ENDDO
@@ -1783,3 +1762,4 @@
          ndex3d = 0
 c
+c$OMP END MASTER
       ENDIF ! fin de test sur ok_mensuel
Index: /LMDZ4/trunk/libf/phylmd/ini_histmthNMC.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histmthNMC.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_histmthNMC.h	(revision 766)
@@ -4,4 +4,6 @@
       IF (ok_mensuel) THEN
 c
+c$OMP MASTER
+
        zstophy = dtime
        zstohf = ecrit_hf
@@ -12,15 +14,18 @@
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
          DO ll=1,klev
             znivsig(ll)=float(ll)
          ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-         CALL histbeg("histNMC.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym         CALL histbeg("histNMC.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym     .                 nhori, nid_nmc)
+
+         CALL histbeg_phy("histNMC",itau_phy, zjulian, dtime, 
      .                 nhori, nid_nmc)
 c
@@ -34,30 +39,30 @@
           CALL histdef(nid_nmc, "temp",
      .                 "Temperature","K",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "phi",
      .                "Geopotential", "m",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "q",
      .                 "Specific humidity","kg/kg",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "rh",
      .                 "Relative humidity", "%",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "u",
      .                 "Zonal wind","m/s",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "v",
      .                 "Meridional wind","m/s",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
@@ -73,35 +78,35 @@
           CALL histdef(nid_nmc, "temp",
      .                 "Temperature","K",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "phi",
      .                "Geopotential ", "m",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "q",
      .                 "Specific humidity","kg/kg",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_nmc, "rh",
      .                 "Relative humidity", "%",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "u",
      .                 "Zonal wind","m/s",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "v",
      .                 "Meridional wind","m/s",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "w",
      .                 "Vertical motion","Pa/s",
-     .                iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .                iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .                "inst(X)", zout,zout)
 c
@@ -116,15 +121,15 @@
           CALL histdef(nid_nmc, "psbg",
      .         "Pressure sfce below ground","%",
-     .         iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .         iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "uv",
      .         "uv ",
-     .         "m2/s2",iim,jjmp1,nhori, nlevSTD,1,nlevSTD, nvert, 32,
+     .         "m2/s2",iim,jjphy_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
 c
           CALL histdef(nid_nmc, "vq",
      .         "vq ",
-     .         "m/s * (kg/kg)",iim,jjmp1,nhori, 
+     .         "m/s * (kg/kg)",iim,jjphy_nb,nhori, 
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -132,5 +137,5 @@
           CALL histdef(nid_nmc, "vT",
      .         "vT ", 
-     .         "mK/s",iim,jjmp1,nhori, 
+     .         "mK/s",iim,jjphy_nb,nhori, 
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -138,5 +143,5 @@
           CALL histdef(nid_nmc, "wq",
      .         "wq ", 
-     .         "(Pa/s)*(kg/kg)",iim,jjmp1,nhori,
+     .         "(Pa/s)*(kg/kg)",iim,jjphy_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -144,5 +149,5 @@
           CALL histdef(nid_nmc, "vphi",
      .         "vphi ", 
-     .         "m2/s",iim,jjmp1,nhori, 
+     .         "m2/s",iim,jjphy_nb,nhori, 
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -150,5 +155,5 @@
           CALL histdef(nid_nmc, "wT",
      .         "wT ", 
-     .         "K*Pa/s",iim,jjmp1,nhori,
+     .         "K*Pa/s",iim,jjphy_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -156,5 +161,5 @@
           CALL histdef(nid_nmc, "uxu",
      .         "u2 ", 
-     .         "m2/s2",iim,jjmp1,nhori,
+     .         "m2/s2",iim,jjphy_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -162,5 +167,5 @@
           CALL histdef(nid_nmc, "vxv",
      .         "v2 ", 
-     .         "m2/s2",iim,jjmp1,nhori,
+     .         "m2/s2",iim,jjphy_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -168,5 +173,5 @@
           CALL histdef(nid_nmc, "TxT",
      .         "T2 ", 
-     .         "K2",iim,jjmp1,nhori,
+     .         "K2",iim,jjphy_nb,nhori,
      .          nlevSTD,1,nlevSTD, nvert, 32,
      .         "inst(X)", zout,zout)
@@ -176,3 +181,5 @@
          CALL histend(nid_nmc)
 c
+c$OMP END MASTER
+
       ENDIF ! fin de test sur ok_mensuel
